<script lang="ts">
    import { env } from "$env/dynamic/public";
    import VersionInfo from "$lib/VersionInfo.svelte";
import type { LayoutData } from "./$types";

    export let data: LayoutData;
</script>

<header>
    <div class="container">
        <a href="/account">
            <span>{data.loggedInAs}</span>
        </a>
    </div>
</header>

<main>
    <slot />
    <VersionInfo version={env.PUBLIC_MOGAHAN_VERSION}/>
</main>

<style>
    header {
        background-color: #4873a1;
        display: flex;
        align-items: stretch;
        color: white;
    }

    header .container, main {
        width: min(100%, 70em);
        margin: auto;
        box-sizing: border-box;
    }

    header .container > * {
        display: flex;
        width: min-content;
        align-items: center;
        padding: 1em;
    }

    header a:hover {
        background-color: #2c4c6f;
    }

    header a {
        color: inherit;
    }

    header a:hover {
        text-decoration: none;
    }

    main {
        padding: 0.6em;
    }
</style>
